Skip to main content
POST
/
matters
/
v1
/
types
curl -X POST "https://api.case.dev/matters/v1/types" \ -H "Authorization: Bearer $CASEDEV_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "name": "<string>" }'

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Body

application/json
name
string
required
slug
string
description
string
instructions
string
default_agent_type_id
string
review_agent_type_id
string
orchestration_mode
enum<string>
Available options:
auto,
human
intake_requirements
string[]
review_criteria
string[]
exit_criteria
string[]
skill_refs
string[]
default_metadata
object
default_work_items
object[]
is_active
boolean

Response

201

Matter type created